summaryrefslogtreecommitdiffstats
path: root/development/processing
diff options
context:
space:
mode:
author wigums2018-04-03 02:23:15 +0200
committer Willy Sudiarto Raharjo2018-04-07 03:13:10 +0200
commit1d2ffe3ab6e927ad3814eb2689a0c3104b547966 (patch)
tree2cba314acb2ca71eee893da0a1990754b503a316 /development/processing
parentbaf467636aa2faac090c1a4604a03b64607e51b5 (diff)
downloadslackbuilds-1d2ffe3ab6e927ad3814eb2689a0c3104b547966.tar.gz
development/processing: Updated for version 3.3.7 + new maintainer.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development/processing')
-rw-r--r--development/processing/processing.SlackBuild34
-rw-r--r--development/processing/processing.desktop2
-rw-r--r--development/processing/processing.info14
3 files changed, 32 insertions, 18 deletions
diff --git a/development/processing/processing.SlackBuild b/development/processing/processing.SlackBuild
index 1c14ed7ceb..188521e9e5 100644
--- a/development/processing/processing.SlackBuild
+++ b/development/processing/processing.SlackBuild
@@ -1,10 +1,13 @@
#!/bin/sh
-# Slackware build script for Processing
+# Slackware build script for processing
+
# Written by Diogo Leal (diogo@diogoleal.com)
+# Written by wigums (wigums@protonmail.com)
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
PRGNAM=processing
-VERSION=${VERSION:-1.5.1}
+VERSION=${VERSION:-3.3.7}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -21,12 +24,20 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+if [ "$ARCH" = "i586" ] || [ "$ARCH" = "i686" ]; then
+ BITS="32"
+elif [ "$ARCH" = "x86_64" ]; then
+ BITS="64"
+else
+ echo "$ARCH is not supported." >&2
+ exit 1
+fi
+
set -e
rm -rf $PKG
-
mkdir -p $PKG/opt $OUTPUT
-tar xvf $CWD/$PRGNAM-$VERSION-linux.tgz -C $PKG/opt
+tar xvf $CWD/$PRGNAM-$VERSION-linux$BITS.tgz -C $PKG/opt
mv $PKG/opt/$PRGNAM-$VERSION $PKG/opt/$PRGNAM
mkdir -p $PKG/usr/share/{applications,pixmaps}
@@ -34,15 +45,18 @@ cp $CWD/processing.desktop $PKG/usr/share/applications
cp $CWD/processing.png $PKG/usr/share/pixmaps
chown -R root:root $PKG
-find $PKG \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+find -L $PKG \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
diff --git a/development/processing/processing.desktop b/development/processing/processing.desktop
index 379e483d36..27388506ea 100644
--- a/development/processing/processing.desktop
+++ b/development/processing/processing.desktop
@@ -1,6 +1,6 @@
[Desktop Entry]
Name=Processing
-GenericName=Pocessing
+GenericName=Processing
Comment=Processing IDE development
Exec=/opt/processing/processing
Icon=processing
diff --git a/development/processing/processing.info b/development/processing/processing.info
index cd5f447de0..ebd3bcdab6 100644
--- a/development/processing/processing.info
+++ b/development/processing/processing.info
@@ -1,10 +1,10 @@
PRGNAM="processing"
-VERSION="1.5.1"
+VERSION="3.3.7"
HOMEPAGE="https://www.processing.org"
-DOWNLOAD="http://download.processing.org/processing-1.5.1-linux.tgz"
-MD5SUM="a4539860c7d55b650c7e2f5ba5fdeac9"
-DOWNLOAD_x86_64=""
-MD5SUM_x86_64=""
+DOWNLOAD="http://download.processing.org/processing-3.3.7-linux32.tgz"
+MD5SUM="2654a97188ff4a86c451427563ec1365"
+DOWNLOAD_x86_64="http://download.processing.org/processing-3.3.7-linux64.tgz"
+MD5SUM_x86_64="0833faaf24f0c8a55d9430a0b96252aa"
REQUIRES="jdk"
-MAINTAINER="Diogo Leal"
-EMAIL="diogo@diogoleal.com"
+MAINTAINER="wigums"
+EMAIL="pioneer22675@gmail.com"